Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.provider
Class JDKKeyFactory.ElGamal

    java.lang.Object
      java.security.KeyFactorySpi
          org.bouncycastle.jce.provider.JDKKeyFactory
              org.bouncycastle.jce.provider.JDKKeyFactory.ElGamal

Enclosing class:
  JDKKeyFactory

    public static class JDKKeyFactory.ElGamal

extends JDKKeyFactory

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`JDKKeyFactory.DH, JDKKeyFactory.DSA, JDKKeyFactory.ElGamal, JDKKeyFactory.GOST3410, JDKKeyFactory.RSA, JDKKeyFactory.X509`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`elGamalFactory`

Constructor Summary
`JDKKeyFactory.ElGamal()`

Method Summary
`protected java.security.PrivateKey` `engineGeneratePrivate(java.security.spec.KeySpec keySpec)`
`protected java.security.PublicKey` `engineGeneratePublic(java.security.spec.KeySpec keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JDKKeyFactory
`createPrivateKeyFromDERStream, createPublicKeyFromDERStream, engineGetKeySpec, engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyFactory.ElGamal

    public JDKKeyFactory.ElGamal()

Method Detail

### engineGeneratePrivate

    protected java.security.PrivateKey engineGeneratePrivate(java.security.spec.KeySpec keySpec)
                                                      throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGeneratePrivate` in class `JDKKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineGeneratePublic

    protected java.security.PublicKey engineGeneratePublic(java.security.spec.KeySpec keySpec)
                                                    throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGeneratePublic` in class `JDKKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

Bouncy Castle Cryptography Library 1.45